aboutsummaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorkremlin <ian@kremlin.cc>2014-06-20 03:59:16 +0800
committerkremlin <ian@kremlin.cc>2014-06-20 03:59:16 +0800
commit5047f6bfd1a812c46128b0d68bf7b93c21c2e76c (patch)
treeb7aae58d9538ef11b9c4056303fa205dd6c862ae /scripts
parent1a42a5f99e28a2cd599077afeba7bbfa35c91419 (diff)
downloadsystembsd-5047f6bfd1a812c46128b0d68bf7b93c21c2e76c.tar
systembsd-5047f6bfd1a812c46128b0d68bf7b93c21c2e76c.tar.gz
systembsd-5047f6bfd1a812c46128b0d68bf7b93c21c2e76c.tar.bz2
systembsd-5047f6bfd1a812c46128b0d68bf7b93c21c2e76c.tar.lz
systembsd-5047f6bfd1a812c46128b0d68bf7b93c21c2e76c.tar.xz
systembsd-5047f6bfd1a812c46128b0d68bf7b93c21c2e76c.tar.zst
systembsd-5047f6bfd1a812c46128b0d68bf7b93c21c2e76c.zip
regenerate interface types, clean up gen script
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/gen-gdbus-interfaces.sh6
1 files changed, 5 insertions, 1 deletions
diff --git a/scripts/gen-gdbus-interfaces.sh b/scripts/gen-gdbus-interfaces.sh
index 1e44b35..0d74aa2 100755
--- a/scripts/gen-gdbus-interfaces.sh
+++ b/scripts/gen-gdbus-interfaces.sh
@@ -5,12 +5,16 @@ DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )"/../ && pwd )"
if [[ -z "$1" ]]; then
echo "syntax: ./gen-dbus-interfaces <interface name>"
exit 1
+elif [[ "$1" != "hostnamed" && "$1" != "localed" && "$1" != "timedated" && "$1" != "logind" ]]; then
+ echo "<interface name> must be 'hostnamed', 'localed', 'timedated', or 'logind'"
+ exit 1
fi
gdbus-codegen \
--interface-prefix org.freedesktop. \
--generate-docbook doc/$1-docbook.xml \
--generate-c-code src/interfaces/$1/$1-gen \
---c-namespace SystemdUtils \
conf/$1-ispect.xml
+echo "success"
+exit 0